# $Revision: 1.19 $, $Date: 2008-02-03 00:13:19 $
# TODO:
# - add libraries
# - dynamic linking with libraries?
Summary:	GNU Talk filters
Summary(pl.UTF-8):	Filtry tekstowe GNU
Name:		talkfilters
Version:	2.3.8
Release:	1
License:	GPL
Group:		Applications/Text
Source0:	http://www.hyperrealm.com/talkfilters/%{name}-%{version}.tar.gz
# Source0-md5:	c11c6863a1c246a8d49a80a1168b54c8
URL:		http://www.hyperrealm.com/talkfilters/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	flex
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Set of filters to text processing.

%description -l pl.UTF-8
Zestaw narzędzi do przetwarzania tekstu.

%prep
%setup -q

%build
cp -f /usr/share/automake/config.sub .
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_mandir}/man1,%{_bindir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p	/sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man?/*
%{_infodir}/*.info*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: talkfilters.spec,v $
Revision 1.19  2008-02-03 00:13:19  undefine
- up to 2.3.8

Revision 1.18  2008-01-24 01:23:02  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.17  2007-02-12 22:09:17  glen
- tabs in preamble

Revision 1.16  2007/02/12 01:06:34  baggins
- converted to UTF-8

Revision 1.15  2006/02/28 23:53:22  glen
- adapterized (killed trailing spaces/tabs)

Revision 1.14  2005/07/04 21:59:03  qboosh
- beware of info/dir inclusion

Revision 1.13  2005/07/03 16:48:35  undefine
- up to 2.3.4

Revision 1.12  2004/11/02 20:04:16  darekr
- BR: libtool

Revision 1.11  2004/08/18 17:30:15  undefine
- update to 2.3.3

Revision 1.10  2004/08/18 17:20:29  havner
- config.sub
- rel 2

Revision 1.9  2004/06/28 20:28:13  qboosh
- unification

Revision 1.8  2004/06/28 19:26:19  undefine
- update to 2.3.2

Revision 1.7  2003/05/28 13:02:11  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 06:27:12  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2002/11/27 11:16:09  qboosh
- BR: automake

Revision 1.4  2002/11/26 19:45:02  undefine
- br: autoconf... i thing stbr... :>

Revision 1.3  2002/11/26 19:42:38  undefine
- alleluja! talkfilters from gnu aren't the same as on other sites...
  autoconf support and needed DESTDIR patch...

Revision 1.2  2002/11/26 19:17:05  undefine
- changed url to more "gnu-like" ;)

Revision 1.1  2002/11/26 18:50:20  undefine
- initial pld version. stbr
